Bug 132966 - problem with bcm5700 (driver bmc5700 AND tg3)
problem with bcm5700 (driver bmc5700 AND tg3)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-20 10:55 EDT by Christophe Guilloux
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Guilloux 2004-09-20 10:55:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
With a DELL 6650 wich include a bmc5700, the network device is going
down when (i think) lots of files (or big files i don't know) are send
throw it.
Here is a sample with the tg3 driver :
--------------------------------------
Sep 16 09:39:54 guillotine kernel: tg3.c:v3.8 (July 14, 2004)
Sep 16 09:39:54 guillotine kernel: ACPI: PCI interrupt 0000:08:01.0[A]
-> GSI 17 (level, low) -> IRQ 1
93
Sep 16 09:39:55 guillotine kernel: eth0: Tigon3 [partno(BCM95700A6)
rev 7104 PHY(5411)] (PCI:66MHz:64-
bit) 10/100/1000BaseT Ethernet 00:0f:1f:6a:39:36
Sep 16 09:39:55 guillotine kernel: eth0: HostTXDS[1] RXcsums[1]
LinkChgREG[1] MIirq[1] ASF[0] Split[0]
 WireSpeed[0] TSOcap[0]
Sep 16 09:39:59 guillotine kernel: tg3: eth0: Link is up at 100 Mbps,
full duplex.
Sep 16 09:39:59 guillotine kernel: tg3: eth0: Flow control is off for
TX and off for RX.
Sep 16 09:40:00 guillotine network: Activation de l'interface eth0 :
succeeded

and the problem :
-----------------
Sep 17 21:11:49 guillotine kernel: NETDEV WATCHDOG: eth0: transmit
timed out
Sep 17 21:11:49 guillotine kernel: tg3: eth0: transmit timed out,
resetting
Sep 17 21:11:49 guillotine kernel: tg3: tg3_stop_block timed out,
ofs=2c00 enable_bit=2
Sep 17 21:11:49 guillotine kernel: tg3: tg3_stop_block timed out,
ofs=3400 enable_bit=2
Sep 17 21:11:49 guillotine kernel: tg3: tg3_stop_block timed out,
ofs=2400 enable_bit=2
Sep 17 21:11:49 guillotine kernel: tg3: tg3_stop_block timed out,
ofs=1800 enable_bit=2
Sep 17 21:11:49 guillotine kernel: tg3: tg3_stop_block timed out,
ofs=4800 enable_bit=2
Sep 17 21:11:49 guillotine kernel: tg3: eth0: Link is down.
Sep 17 21:11:51 guillotine kernel: tg3: eth0: Link is up at 100 Mbps,
full duplex.
Sep 17 21:11:51 guillotine kernel: tg3: eth0: Flow control is off for
TX and off for RX.


With the bcm5700 driver :
-------------------------
Sep 20 15:44:48 guillotine kernel: Broadcom Gigabit Ethernet Driver
bcm5700 with Broadcom NIC Extensio
n (NICE) ver. 7.3.5 (06/23/04)
Sep 20 15:44:48 guillotine kernel: ACPI: PCI interrupt 0000:08:01.0[A]
-> GSI 17 (level, low) -> IRQ 1
93
Sep 20 15:44:48 guillotine kernel: bcm5700-0: TSO not available on
this NIC
Sep 20 15:44:48 guillotine kernel: eth0: Broadcom BCM5700 found at mem
fcd10000, IRQ 193, node addr 00
0f1f6a3936
Sep 20 15:44:48 guillotine kernel: eth0: Broadcom BCM5411 Copper
transceiver found
Sep 20 15:44:48 guillotine kernel: eth0: Scatter-gather ON, 64-bit DMA
ON, Tx Checksum ON, Rx Checksum
 ON, 802.1Q VLAN ON, NAPI ON

and the problem :
-----------------
Sep 20 15:07:16 guillotine kernel: NETDEV WATCHDOG: eth0: transmit
timed out
Sep 20 15:07:16 guillotine kernel: bcm5700: eth0 NIC Link is Down
Sep 20 15:07:18 guillotine kernel: bcm5700: eth0 NIC Link is Up, 100
Mbps full duplex

My kernel version :
-------------------
Linux guillotine.irisa.fr 2.6.8-1.521smp #1 SMP Mon Aug 16 09:25:06
EDT 2004 i686 i686 i386 GNU/Linux

And the bcm5700 driver is the 7.3.5


Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce


Additional info:
Comment 1 Dave Jones 2005-04-16 01:37:19 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.